Skip to main content
POST
/
alpha
/
merchant
/
customers
/
{customerId}
/
maxBids
Create or update a max bid for a customer
curl --request POST \
  --url https://api.auctionnow.io/api/alpha/merchant/customers/{customerId}/maxBids \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "auctionId": "<string>",
    "maxAmountDollars": 123
  }
}
'
{
  "data": {
    "_id": "<string>",
    "_creationTime": 123,
    "auctionId": "<string>",
    "maxAmountDollars": 123,
    "didPlaceBid": true
  },
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Path Parameters

customerId
string
required

The unique ID of the customer

Body

application/json
data
object
required

Input data for creating or updating a max bid

Response

Max bid created or updated successfully

data
object
required

The created or updated max bid

timestamp
number
required
message
string